Platform O&M/Backup Management/CBT Operations
POSTCBT OperationsSince 5.3.28SynchronousAuth Required
CreateCbtTask
CreateCbtTask
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The resource description.
resourceUuidsListRequiredThe resource UUID list.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The system tags.
Responses
Endpoint
POST/zstack/v1/cbt-task/create
/zstack/v1/cbt-task/create
Request Example
curl -X POST 'http://{host}/zstack/v1/cbt-task/create' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","resourceUuids":["<resourceUuids>"],"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "b70f4160919c38748f908f489ba306ce", "name": "My Task", "status": "Created" } }Change History
This API has no change history records yet.
